GET /v1/api-keys/{id}
Get a single API key by ID

Path Parameters

id string required path
API key ID

Responses

200 OK
application/json
code integer
data object
createdAt string
createdBy string
description string
expiresAt string
id string
keyPrefix string
lastUsedAt string
lastUsedIp string
lastUsedUserAgent string
name string
organizationId string
revokedAt string
scope string
Enum: read, read-write
serviceAccountId string
userId string
message string
requestId string
404 Not Found
curl -X GET 'https://api.example.com/v1/api-keys/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/api-keys/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/api-keys/string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/api-keys/string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "createdAt": "<string>",    "createdBy": "<string>",    "description": "<string>",    "expiresAt": "<string>",    "id": "<string>",    "keyPrefix": "<string>",    "lastUsedAt": "<string>",    "lastUsedIp": "<string>",    "lastUsedUserAgent": "<string>",    "name": "<string>",    "organizationId": "<string>",    "revokedAt": "<string>",    "scope": "read",    "serviceAccountId": "<string>",    "userId": "<string>"  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I